Subject: Re: sablevm + windows
From: Peter Lovell <[email-masked]>
To: "Grzegorz B. Prokopski" <[email-masked]>
Cc: [email-masked], SableVM Developers Mailing List <[email-masked]>, Peter Lovell <[email-masked]>
Date: Fri, 8 Oct 2004 07:18:55 -0400

Hi Grzegorz,

On Oct 8, 2004, at 3:18 AM, Grzegorz B. Prokopski wrote:

> On Thu, 2004-10-07 at 18:45, Peter Lovell wrote:
>> I was not able to check out Mélanie's sandbox in the way you suggested
>> ($ svn co svn+ssh://svn.sablevm.org/public/developers/mlord
>> sablevm-mlord) probably because I don't have an ssh account. However
>> I was able to  fetch svn.sablevm.org/developers/mlord/sandbox
>> which hopefully is the same (disabuse me of that notion if 
>> appropriate).
>
> Yes, it's the same.

Thanks for the confirmation.

>
>> The porting document there was very helpful and for our use I've
>> translated it into English. It's in the same format and not wiki-ized,
>> but even so it may be useful to have on sablevm.org -- just let me 
>> know
>> where.
>
> Could you please put it up on a web page somewhere and provie an URL?

It will be easiest to mail it to you (it's not huge). I'll do that 
separately.

>> I'm still having a problem getting a proper version of libffi built,
>> and will attack that further tomorrow. Part of the problem is that I'm
>> not very familiar with auto* tools (but learning rather quickly).
>
> If you take a look at thread that started here:
>
> http://sablevm.org/lists/sablevm-devel/2004-September/000064.html

Thanks for that info. I'm working on this today and will let you know 
how it goes.

> If SableVM was to become part of applications available for Cygwin
> (which I hope will happend) we'd want it to be "mostly/easily 
> buildable"
> with tools and libraries Cygwin provides (like it takes place in Debian
> or Gentoo).

This is our direction also. Ideally it would be mingw or even 
ms-native. The latter will be much harder, but mingw would be great.

Regards.....Peter

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/